<?php

/**
 * @file
 * Contains \Drupal\simplepodcast\Routing\RouteSubscriber.
 */

namespace Drupal\simplepodcast\Routing;

use Symfony\Component\Routing\Route;

/**
 * Class SimplePodcastRoutes.
 *
 * The route to the podcast feed.
 */
class SimplePodcastRoutes {

  /**
   * Return the feed route.
   *
   * @return array
   *   The route to the feed.
   */
  public function routes() {
    $routes = [];

    $routes['simplepodcast.content'] = new Route(

      \Drupal::config('simplepodcast.settings')->get('rss_path_name'),

      [
        '_controller' => '\Drupal\simplepodcast\Controller\SimplePodcastController::content',
        '_title' => 'SimplePodcast',
      ],

      [
        '_permission' => 'access content',
      ]
    );

    return $routes;

  }

}
